{% extends './base.html'%} {% block main %} {% load static %}

<!-- STYLE OVERHIDE -->
<style>
  @media (max-width: 1500px) {
    .main-container {
      margin: 5px 1% 0 1% !important;
    }
  }


</style>
<div class="main-container position-relative">
  {% include "./components/quick_access.html" %}
  {% include "./components/slider.html" %}
  {% include "./components/all_types.html" %}


  <div class="section-articles-holder">
    {% include "./components/slider2.html" %}

  </div>
  <div class="section-articles-holder">
    <!-- ******************************************** -->
    <p class="text-center my-3">Nouveautés</p>
    {% if novelty.count != 0 %}
    <div class="articles-holders pt-4">
      <div class="cards">
        {% for article in novelty %}
        <div class="cost-card cost-list-shadow p-3 mb-3" data-type="drone">
          <a
            href="{% url 'one_article' article.id %}"
            class="d-flex flex-column justify-content-center align-items-center flipper-imgs-wapper position-relative"
          >
            <img
              {% if article.main_image %}
                src="../../../../media/{{ article.main_image.url }}"
              {% else %}
                src="../../../../media/{{ article.images.all.0.url }}"
              {% endif %}
              class="cost-card-img-top flipper-img active"
              alt="ARTICEL IMAGE"
            />
          </a>
          <div class="cost-card-body">
            <h6 class="cost-card-title text-center">{{ article.title_45 }}</h6>
            <div class="d-flex flex-column">
              <div
                class="cost-card-bottom w-100 d-flex flex-row justify-content-around align-items-center"
              >
                <div
                  class="fs-3 d-flex justify-content-center gap-2 align-content-center text-center one-ligne-text"
                >
                  {% if article.reducted %}
                  <p class="article-reducted old-price">
                    {{ article.get_price_frnce_format }}
                  </p>
                  <p class="article-reducted new-price">
                    {{ article|get_article_new_price }}
                  </p>

                  {% else %}
                  <p class="article-not-reducted">
                    {{ article.get_price_frnce_format }}
                  </p>
                  {% endif %}
                </div>
              </div>
            </div>
            <div class="cases">
              {% for case in article.get_cases %} {% if case.0 %}
              <div class="case">
                <p
                  class="cases-cover bg-{{ case.2 }}"
                >
                  {{ case.1 }}
                </p>
              </div>
              {% endif %} {% endfor %}
            </div>
          </div>
        </div>
        {% endfor %}
      </div>
    </div>
    <!-- ******************************************** -->
    <div class="section-articles-holder-footer">
      <a href="{% url 'list_article_sorted' 'novelty' %}"
        ><span>Voir plus</span><i class="fa-solid fa-arrow-right"></i
      ></a>
    </div>
    {% else %}
    <span class="section-empty"></span>
    {% endif %}
  </div>

  <div class="section-articles-holder">
    <!-- ******************************************** -->
    <p class="text-center my-2">Nous offres</p>
    {% if drones_reducted.count != 0 %}
    <div class="articles-holders pt-4">
      <div class="cards">
        {% for article in drones_reducted %}
        <div class="cost-card cost-list-shadow p-3 mb-3" data-type="drone">
          <a
            href="{% url 'one_article' article.id %}"
            class="d-flex flex-column justify-content-center align-items-center flipper-imgs-wapper position-relative"
          >
            <img
            {% if article.main_image %}
            src="../../../../media/{{ article.main_image.url }}"
          {% else %}
            src="../../../../media/{{ article.images.all.0.url }}"
          {% endif %}
              class="cost-card-img-top flipper-img active"
              alt="ARTICEL IMAGE"
            />
          </a>
          <div class="cost-card-body">
            <h6 class="cost-card-title text-center">{{ article.title_45 }}</h6>
            <div class="d-flex flex-column">
              <div
                class="cost-card-bottom w-100 d-flex flex-row justify-content-around align-items-center"
              >
                <div
                  class="fs-3 d-flex justify-content-center gap-2 align-content-center text-center one-ligne-text"
                >
                  {% if article.reducted %}
                  <p class="article-reducted old-price">
                    {{ article.get_price_frnce_format }}
                  </p>
                  <p class="article-reducted new-price">
                    {{ article|get_article_new_price }}
                  </p>

                  {% else %}
                  <p class="article-not-reducted">
                    {{ article.get_price_frnce_format }}
                  </p>
                  {% endif %}
                </div>
              </div>
            </div>
            <div class="cases">
              {% for case in article.get_cases %} {% if case.0 %}
              <div class="case">
                <p
                class="cases-cover bg-{{ case.2 }}"
                >
                  {{ case.1 }}
                </p>
              </div>
              {% endif %} {% endfor %}
            </div>
          </div>
        </div>
        {% endfor %}
      </div>
    </div>
    <!-- ******************************************** -->
    <div class="section-articles-holder-footer">
      <a href="{% url 'list_article_sorted' 'reducted' %}"
        ><span>Voir plus</span><i class="fa-solid fa-arrow-right"></i
      ></a>
    </div>
    {% else %}
    <span class="section-empty"></span>
    {% endif %}
  </div>

  <div class="section-articles-holder">
    <!-- ******************************************** -->
    <p class="text-center my-2">Drones neufs</p>
    {% if drones_not_used.count != 0 %}
    <div class="articles-holders pt-4">
      <div class="cards">
        {% for article in drones_not_used %}
        <div class="cost-card cost-list-shadow p-3 mb-3" data-type="drone">
          <a
            href="{% url 'one_article' article.id %}"
            class="d-flex flex-column justify-content-center align-items-center flipper-imgs-wapper position-relative"
          >
            <img
            {% if article.main_image %}
            src="../../../../media/{{ article.main_image.url }}"
          {% else %}
            src="../../../../media/{{ article.images.all.0.url }}"
          {% endif %}
              class="cost-card-img-top flipper-img active"
              alt="ARTICEL IMAGE"
            />
          </a>
          <div class="cost-card-body">
            <h6 class="cost-card-title text-center">{{ article.title_45 }}</h6>
            <div class="d-flex flex-column">
              <div
                class="cost-card-bottom w-100 d-flex flex-row justify-content-around align-items-center"
              >
                <div
                  class="fs-3 d-flex justify-content-center gap-2 align-content-center text-center one-ligne-text"
                >
                  {% if article.reducted %}
                  <p class="article-reducted old-price">
                    {{ article.get_price_frnce_format }}
                  </p>
                  <p class="article-reducted new-price">
                    {{ article|get_article_new_price }}
                  </p>

                  {% else %}
                  <p class="article-not-reducted">
                    {{ article.get_price_frnce_format }}
                  </p>
                  {% endif %}
                </div>
              </div>
            </div>
            <div class="cases">
              {% for case in article.get_cases %} {% if case.0 %}
              <div class="case">
                <p
                class="cases-cover bg-{{ case.2 }}"
                >
                  {{ case.1 }}
                </p>
              </div>
              {% endif %} {% endfor %}
            </div>
          </div>
        </div>
        {% endfor %}
      </div>
    </div>
    <!-- ******************************************** -->
    <div class="section-articles-holder-footer">
      <a href="{% url 'list_article_sorted' 'drones_not_used' %}"
        ><span>Voir plus</span><i class="fa-solid fa-arrow-right"></i
      ></a>
    </div>
    {% else %}
    <span class="section-empty"></span>
    {% endif %}
  </div>

  <div class="section-articles-holder">
    <!-- ******************************************** -->
    <p class="text-center my-2">Drones d'occasion</p>
    {% if drones_occ.count != 0 %}
    <div class="articles-holders pt-4">
      <div class="cards">
        {% for article in drones_occ %}
        <div class="cost-card cost-list-shadow p-3 mb-3" data-type="drone">
          <a
            href="{% url 'one_article' article.id %}"
            class="d-flex flex-column justify-content-center align-items-center flipper-imgs-wapper position-relative"
          >
            <img
            {% if article.main_image %}
            src="../../../../media/{{ article.main_image.url }}"
          {% else %}
            src="../../../../media/{{ article.images.all.0.url }}"
          {% endif %}
              class="cost-card-img-top flipper-img active"
              alt="ARTICEL IMAGE"
            />
          </a>
          <div class="cost-card-body">
            <h6 class="cost-card-title text-center">{{ article.title_45 }}</h6>
            <div class="d-flex flex-column">
              <div
                class="cost-card-bottom w-100 d-flex flex-row justify-content-around align-items-center"
              >
                <div
                  class="fs-3 d-flex justify-content-center gap-2 align-content-center text-center one-ligne-text"
                >
                  {% if article.reducted %}
                  <p class="article-reducted old-price">
                    {{ article.get_price_frnce_format }}
                  </p>
                  <p class="article-reducted new-price">
                    {{ article|get_article_new_price }}
                  </p>

                  {% else %}
                  <p class="article-not-reducted">
                    {{ article.get_price_frnce_format }}
                  </p>
                  {% endif %}
                </div>
              </div>
            </div>
            <div class="cases">
              {% for case in article.get_cases %} {% if case.0 %}
              <div class="case">
                <p
                class="cases-cover bg-{{ case.2 }}"
                >
                  {{ case.1 }}
                </p>
              </div>
              {% endif %} {% endfor %}
            </div>
          </div>
        </div>
        {% endfor %}
      </div>
    </div>
    <!-- ******************************************** -->
    <div class="section-articles-holder-footer">
      <a href="{% url 'list_article_sorted' 'occasion' %}"
        ><span>Voir plus</span><i class="fa-solid fa-arrow-right"></i
      ></a>
    </div>
    {% else %}
    <span class="section-empty"></span>
    {% endif %}
  </div>

  <div class="section-articles-holder">
    <!-- ******************************************** -->
    <p class="text-center my-2">Piéces Détachées</p>
    {% if pieces.count != 0 %}
    <div class="articles-holders pt-4">
      <div class="cards">
        {% for article in pieces %}
        <div class="cost-card cost-list-shadow p-3 mb-3" data-type="drone">
          <a
            href="{% url 'one_article' article.id %}"
            class="d-flex flex-column justify-content-center align-items-center flipper-imgs-wapper position-relative"
          >
            <img
            {% if article.main_image %}
            src="../../../../media/{{ article.main_image.url }}"
          {% else %}
            src="../../../../media/{{ article.images.all.0.url }}"
          {% endif %}
              class="cost-card-img-top flipper-img active"
              alt="ARTICEL IMAGE"
            />
          </a>
          <div class="cost-card-body">
            <h6 class="cost-card-title text-center">{{ article.title_45 }}</h6>
            <div class="d-flex flex-column">
              <div
                class="cost-card-bottom w-100 d-flex flex-row justify-content-around align-items-center"
              >
                <div
                  class="fs-3 d-flex justify-content-center gap-2 align-content-center text-center one-ligne-text"
                >
                  {% if article.reducted %}
                  <p class="article-reducted old-price">
                    {{ article.get_price_frnce_format }}
                  </p>
                  <p class="article-reducted new-price">
                    {{ article|get_article_new_price }}
                  </p>

                  {% else %}
                  <p class="article-not-reducted">
                    {{ article.get_price_frnce_format }}
                  </p>
                  {% endif %}
                </div>
              </div>
            </div>
            <div class="cases">
              {% for case in article.get_cases %} {% if case.0 %}
              <div class="case">
                <p
                class="cases-cover bg-{{ case.2 }}"
                >
                  {{ case.1 }}
                </p>
              </div>
              {% endif %} {% endfor %}
            </div>
          </div>
        </div>
        {% endfor %}
      </div>
    </div>
    <!-- ******************************************** -->
    <div class="section-articles-holder-footer">
      <a href="{% url 'list_article_with_type' 4 %}"
        ><span>Voir plus</span><i class="fa-solid fa-arrow-right"></i
      ></a>
    </div>
    {% else %}
    <span class="section-empty"></span>
    {% endif %}
  </div>

  <div class="section-articles-holder">
    <!-- ******************************************** -->
    <p class="text-center my-2">Stabilisateurs</p>
    {% if cameras.count != 0 %}
    <div class="articles-holders pt-4">
      <div class="cards">
        {% for article in cameras %}
        <div class="cost-card cost-list-shadow p-3 mb-3" data-type="drone">
          <a
            href="{% url 'one_article' article.id %}"
            class="d-flex flex-column justify-content-center align-items-center flipper-imgs-wapper position-relative"
          >
            <img
            {% if article.main_image %}
            src="../../../../media/{{ article.main_image.url }}"
          {% else %}
            src="../../../../media/{{ article.images.all.0.url }}"
          {% endif %}
              class="cost-card-img-top flipper-img active"
              alt="ARTICEL IMAGE"
            />
          </a>
          <div class="cost-card-body">
            <h6 class="cost-card-title text-center">{{ article.title_45 }}</h6>
            <div class="d-flex flex-column">
              <div
                class="cost-card-bottom w-100 d-flex flex-row justify-content-around align-items-center"
              >
                <div
                  class="fs-3 d-flex justify-content-center gap-2 align-content-center text-center one-ligne-text"
                >
                  {% if article.reducted %}
                  <p class="article-reducted old-price">
                    {{ article.get_price_frnce_format }}
                  </p>
                  <p class="article-reducted new-price">
                    {{ article|get_article_new_price }}
                  </p>

                  {% else %}
                  <p class="article-not-reducted">
                    {{ article.get_price_frnce_format }}
                  </p>
                  {% endif %}
                </div>
              </div>
            </div>
            <div class="cases">
              {% for case in article.get_cases %} {% if case.0 %}
              <div class="case">
                <p
                class="cases-cover bg-{{ case.2 }}"
                >
                  {{ case.1 }}
                </p>
              </div>
              {% endif %} {% endfor %}
            </div>
          </div>
        </div>
        {% endfor %}
      </div>
    </div>
    <!-- ******************************************** -->
    <div class="section-articles-holder-footer">
      <a href="{% url 'list_article_with_type' 5 %}"
        ><span>Voir plus</span><i class="fa-solid fa-arrow-right"></i
      ></a>
    </div>
    {% else %}
    <span class="section-empty"></span>
    {% endif %}
  </div>
  <div class="section-articles-holder">
    <!-- ******************************************** -->
    <p class="text-center my-2">Accessoires</p>
    {% if accessories.count != 0 %}
    <div class="articles-holders pt-4">
      <div class="cards">
        {% for article in accessories %}
        <div class="cost-card cost-list-shadow p-3 mb-3" data-type="drone">
          <a
            href="{% url 'one_article' article.id %}"
            class="d-flex flex-column justify-content-center align-items-center flipper-imgs-wapper position-relative"
          >
            <img
            {% if article.main_image %}
            src="../../../../media/{{ article.main_image.url }}"
          {% else %}
            src="../../../../media/{{ article.images.all.0.url }}"
          {% endif %}
              class="cost-card-img-top flipper-img active"
              alt="ARTICEL IMAGE"
            />
          </a>
          <div class="cost-card-body">
            <h6 class="cost-card-title text-center">{{ article.title_45 }}</h6>
            <div class="d-flex flex-column">
              <div
                class="cost-card-bottom w-100 d-flex flex-row justify-content-around align-items-center"
              >
                <div
                  class="fs-3 d-flex justify-content-center gap-2 align-content-center text-center one-ligne-text"
                >
                  {% if article.reducted %}
                  <p class="article-reducted old-price">
                    {{ article.get_price_frnce_format }}
                  </p>
                  <p class="article-reducted new-price">
                    {{ article|get_article_new_price }}
                  </p>

                  {% else %}
                  <p class="article-not-reducted">
                    {{ article.get_price_frnce_format }}
                  </p>
                  {% endif %}
                </div>
              </div>
            </div>
            <div class="cases">
              {% for case in article.get_cases %} {% if case.0 %}
              <div class="case">
                <p
                class="cases-cover bg-{{ case.2 }}"
                >
                  {{ case.1 }}
                </p>
              </div>
              {% endif %} {% endfor %}
            </div>
          </div>
        </div>
        {% endfor %}
      </div>
    </div>
    <!-- ******************************************** -->
    <div class="section-articles-holder-footer">
      <a href="{% url 'list_article_with_type' 6 %}"
        ><span>Voir plus</span><i class="fa-solid fa-arrow-right"></i
      ></a>
    </div>
    {% else %}
    <span class="section-empty"></span>
    {% endif %}
  </div>
  {% if notes.count != 0 %}
  <div class="repair-container mt-3">
    <!-- <p class="text-center my-2">Avis de nos clients sur notre service</p> -->
    <section id="reviews">
      <!-- FAKE REVIEWS START -->
      <style>
        .fa-solid.fa-plus.fs-3 {
          border: 1px dashed #ffa41c;
          border-radius: 2rem;
          padding: 1rem;
          cursor: pointer;
        }
      </style>
      {% if request.user.is_superuser %}
      <div class="note-card mb-2 border rounded-20-px reviews shadow d-flex justify-content-center align-items-center" id="note-{{ note.id }}">
        <button type="button" data-modal-targget="mg-costum-modal-review" onclick="open_close_GM_costum_modal(this)" class="normal-btn fa-solid fa-plus fs-3" style="color: #ffa41c !important;"></button>
      </div>
      {% endif %}
      {% for note in notes %}
      <div class="note-card mb-2 border rounded-20-px  reviews shadow" id="note-{{ note.id }}">
        <div class="text-center border-bottom d-flex flex-column justify-content-center align-content-center ">
          <div class="mx-5 one-ligne-text d-flex gap-4 justify-content-center align-content-center">
            <i class="fa-solid fa-user fs-5"></i>
            <span>{{ note.user }}</span>
          </div>
          {% if note.article %}
          <span class="text-secondary" style="font-size: 14px !important;">
            {{ note.article.get_20_title }}
          </span>
          {% endif %}
          <span class="text-secondary fs-12-px">
            Il y a {{ note.created_at|timesince }}
          </span>
        </div>
        <div class="note-card-body">
          {{ note.note|linebreaks }}
        </div>
        <div class="stars-container d-flex justify-content-center align-items-center gap-2 note-card-footer text-center mx-3 py-2 border-top" data-nb="{{ note.stars }}" class="">
          <i class="fa-regular fa-star"></i>
          <i class="fa-regular fa-star"></i>
          <i class="fa-regular fa-star"></i>
          <i class="fa-regular fa-star"></i>
          <i class="fa-regular fa-star"></i>
        </div>
      </div>
      {% endfor %}
    </section>
    <div class="mg-costum-modal-holder">
      <div id="mg-costum-modal-review" class="mg-costum-modal">
        <div class="mg-costum-modal-header">
          <div class="mg-costum-modal-header-content">Ajout d'un avis</div>
          <span id="mg-costum-modal-close-span" onclick="close_GM_modal_btns(this)" class="mg-costum-modal-header-close">&times;</span>
        </div>
        <div class="mg-costum-modal-body">
          <form method="POST" id="reviewForm" action="{% url 'admin_leave_review' %}">
            {% csrf_token %}
              <select class="form-select mb-2" name="user_id" id="user">
                {% for user in get_all_users %}
                <option value="{{ user.id }}">{{ user }}</option>
                {% endfor %}
              </select>
            <select name="stars" required class="form-select" id="stars">
              <option value="5" selected>5 étoiles</option>
              <option value="4">4 étoiles</option>
              <option value="3">3 étoiles</option>
              <option value="2">2 étoiles</option>
              <option value="1">1 étoile</option>
            </select>
            <div>
              <label for="final-note">Commantaire :</label>
              <textarea class="form-control" required name="final-note" id="final-note" cols="30" rows="7"></textarea>
            </div>
            <div>
              <span id="review-errer" class="text-center text-danger d-none">Vous devez remplir toutes les champs !</span>
            </div>
          </form>
        </div>
        <div class="mg-costum-modal-footer">
          <button class="mg-costum-modal-footer-btn" onclick="close_GM_modal_btns(this)" id="mg-costum-modal-footer-btn-close" >Annuler</button>
          <button class="mg-costum-modal-footer-btn" onclick="submitReviewForm(this)" id="mg-costum-modal-footer-btn-go">Ajouter</button>
        </div>
      </div>
    </div>
  {% endif %}
  <script src="{% static 'assets/js/script.js' %}"></script>
</div>
<script>
  drawStars()
  function submitReviewForm(btn) {
    const reviewForm = document.querySelector('#reviewForm')
    const commentair = reviewForm.querySelector('#final-note')
    const reviewRrrer = reviewForm.querySelector('#review-errer')
    if (!commentair.value == "") {
      reviewForm.submit()
      btn.innerHTML = "Validation ..."
      btn.disabled = true
      return
    }
    else {
      reviewRrrer.classList.remove('d-none')
      return
    }
  }
  const sectionsEmpty = document.querySelectorAll(".section-empty");
  sectionsEmpty.forEach((sectionEmpty) => {
    applyTypingAnimation(
      "Aucun article d'Auchan n'a été ajouté dans cette section pour le moment !",
      sectionEmpty,
      50
    );
  });
</script>

{% endblock main%}
